BEGIN MULTIJ


IF ~!Gender(LastTalkedToBy(Myself),FEMALE)
!InParty(Myself)
Race(LastTalkedToBy(Myself),VAMPIRE)
Global("Player1Stronghold","GLOBAL",2)~ THEN BEGIN GreetingVManB111
SAY ~Do you no longer need me, my master?~ 
 ++ ~Come with me, I need you.~ + notparty1m
  IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to our vampire castle.~ GOTO vampStrongholdST  
 ++ ~Go to my stronghold. We will meet there.~ + strongholdM
 ++ ~Stay here, I will return.~ + notparty2m
  ++ ~You are free to go. I release you.~ + leavem 
 ++ ~I decided to end your life.~ + fightm
END

IF ~Gender(LastTalkedToBy(Myself),FEMALE)
!InParty(Myself)
Race(LastTalkedToBy(Myself),VAMPIRE)
Global("Player1Stronghold","GLOBAL",2)~ THEN BEGIN GreetingVFemB111
SAY ~Do you no longer need me, my mistress?~ 
 ++ ~Come with me, I need you.~ + notparty1f
  IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to our vampire castle.~ GOTO vampStrongholdST   
  ++ ~Go to my stronghold. We will meet there.~ + strongholdF
 ++ ~Stay here, I will return.~ + notparty2m
  ++ ~You are free to go. I release you from your duties.~ + leavef 
  ++ ~I decided to end your life.~ + fightf
END


//when thrown out
IF ~!InParty(Myself)
Race(Myself,ZOMBIE)
~ THEN BEGIN GreetingZNP
SAY ~Uuuhh?!~ 
 ++ ~Come with me, I need you.~ + notparty1Z
 ++ ~Stay here, I will return.~ + notparty2Z
  IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to our vampire castle.~ GOTO vampStrongholdST   
  ++ ~You are free to go. I release you from your duties.~ + leavemZ 
  ++ ~I decided to end miserable existance.~ + fightZ
END

IF ~!InParty(Myself)
Race(Myself,OGRE)
!Global("Player1Stronghold","GLOBAL",2)~ THEN BEGIN GreetingOgre
SAY ~Me weak? Me stoopid?~ 
 ++ ~Come with me, I need your skill.~ + notparty1Ogre
 ++ ~Stay here, I will return.~ + notparty2Ogre
   IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to our vampire castle.~ GOTO vampStrongholdST  
  ++ ~You are free to go. I no longer need it.~ + leaveOgre 
  ++ ~I think it's time to kill you.~ + fightOgre
END


IF ~!Gender(LastTalkedToBy(Myself),FEMALE)
!InParty(Myself)
Race(LastTalkedToBy(Myself),VAMPIRE)
!Global("Player1Stronghold","GLOBAL",2)~ THEN BEGIN GreetingVManB122
SAY ~Do you no longer need me, my master?~ 
 ++ ~Come with me, I need you.~ + notparty1m
//  ++ ~Go to my stronghold. We will meet there.~ + strongholdM
  IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to our vampire castle.~ GOTO vampStrongholdST  
 ++ ~Stay here, I will return.~ + notparty2m
   IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to our vampire castle.~ GOTO vampStrongholdST  
  ++ ~You are free to go. I release you.~ + leavem 
 ++ ~I decided to end your life.~ + fightm
END

IF ~Gender(LastTalkedToBy(Myself),FEMALE)
!InParty(Myself)
Race(LastTalkedToBy(Myself),VAMPIRE)
!Global("Player1Stronghold","GLOBAL",2)~ THEN BEGIN GreetingVFemB122
SAY ~Do you no longer need me, my mistress?~ 
 ++ ~Come with me, I need you.~ + notparty1f
 // ++ ~Go to my stronghold. We will meet there.~ + strongholdF
   IF ~Global("VampireStronghold","GLOBAL",1)~ THEN REPLY ~Go to our vampire castle.~ GOTO vampStrongholdST  
 ++ ~Stay here, I will return.~ + notparty2m
  ++ ~You are free to go. I release you from your duties.~ + leavef 
  ++ ~I decided to end your life.~ + fightf
END

IF ~~ vampStrongholdST
  SAY ~(Your companion turns and goes away to your vampire castle.)~
 IF ~RandomNumLT(100,15)~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[2656.1026],W)~ EXIT
 IF ~RandomNumLT(100,15)~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[2856.886],W)~ EXIT
 IF ~RandomNumLT(100,15)~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[3114.1397],W)~ EXIT
 IF ~RandomNumLT(100,15)~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[3283.1654],W)~ EXIT
 IF ~RandomNumLT(100,15)~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[3433.1654],W)~ EXIT
 IF ~~ THEN DO ~LeaveParty()
RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[3433.1543],W)~ EXIT
END
  
IF ~~ notparty2Z
SAY ~Ooohhhh!~
IF ~~ THEN DO ~~ EXIT
END

IF ~~ notparty2Ogre
SAY ~Me wait! Me good minion!~
IF ~~ THEN DO ~~ EXIT
END


IF ~~ notparty2m
SAY ~As you say, master!~
IF ~~ THEN DO ~~ EXIT
END


IF ~~ notparty2f
SAY ~As you say, mistress!~
IF ~~ THEN DO ~~ EXIT
END


IF ~!InParty(Myself)
Race(Myself,ZOMBIE)
Global("Player1Stronghold","GLOBAL",2)~ THEN BEGIN GreetingZombieNP
SAY ~Ooohhh?~ 
 ++ ~Come with me, I need you.~ + notparty1Z
 ++ ~Stay here, I will return.~ + notparty2Z
  ++ ~You are free to go. I release you.~ + leavemZ
 ++ ~I decided to end your miserable existance.~ + fightZ
END


IF ~!InParty(Myself)
Race(Myself,OGRE)
Global("Player1Stronghold","GLOBAL",2)~ THEN BEGIN GreetingOgreNPS
SAY ~Me weak? Me bad?~ 
 ++ ~Come with me, I need you.~ + notparty1Ogre
 ++ ~Stay here, I will return.~ + notparty2Ogre
  ++ ~Go to my stronghold. We will meet there.~ + strongholdOgre 
  ++ ~You are free to go. I release you.~ + leaveOgre
 ++ ~I think it's time to kill you.~ + fightOgre
END



IF ~!Gender(LastTalkedToBy(Myself),FEMALE)
!InParty(Myself)
!Race(LastTalkedToBy(Myself),VAMPIRE)
Global("Player1Stronghold","GLOBAL",2)~ THEN BEGIN GreetingVManB133
SAY ~Do you no longer need me, boss?~ 
 ++ ~Come with me, I need you.~ + notparty1m
  ++ ~Go to my stronghold. We will meet there.~ + strongholdM
 ++ ~Stay here, I will return.~ + notparty2m
  ++ ~You are free to go. I release you.~ + leavem
 ++ ~I decided to end your life.~ + fightm
END

IF ~Gender(LastTalkedToBy(Myself),FEMALE)
!InParty(Myself)
!Race(LastTalkedToBy(Myself),VAMPIRE)
Global("Player1Stronghold","GLOBAL",2)~ THEN BEGIN GreetingVFemB133
SAY ~Do you no longer need me, boss?~ 
 ++ ~Come with me, I need you.~ + notparty1f
 ++ ~Go to my stronghold. We will meet there.~ + strongholdF
 ++ ~Stay here, I will return.~ + notparty2f
  ++ ~You are free to go. I release you from your duties.~ + leavef 
  ++ ~I decided to end your life.~ + fightf
END

IF ~!Gender(LastTalkedToBy(Myself),FEMALE)
!InParty(Myself)
!Race(LastTalkedToBy(Myself),VAMPIRE)
!Global("Player1Stronghold","GLOBAL",2)~ THEN BEGIN GreetingVManB1
SAY ~Do you no longer need me, boss?~ 
 ++ ~Come with me, I need you.~ + notparty1m
 ++ ~Stay here, I will return.~ + notparty2m
  ++ ~You are free to go. I release you.~ + leavem
 ++ ~I decided to end your life.~ + fightm
END

IF ~Gender(LastTalkedToBy(Myself),FEMALE)
!InParty(Myself)
!Race(LastTalkedToBy(Myself),VAMPIRE)
!Global("Player1Stronghold","GLOBAL",2)~ THEN BEGIN GreetingVFemB1
SAY ~Do you no longer need me, boss?~ 
 ++ ~Come with me, I need you.~ + notparty1f
 ++ ~Stay here, I will return.~ + notparty2f
  ++ ~You are free to go. I release you from your duties.~ + leavef 
  ++ ~I decided to end your life.~ + fightf
END


IF ~~ notparty1Z
  SAY ~Arghhh!~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END



IF ~~ notparty1Ogre
  SAY ~Me do!~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END


IF ~~ notparty1m
  SAY ~Of cause!~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ notparty1f
  SAY ~With pleasure!~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ leavemZ
  SAY ~Uuumph!~
  IF ~~ THEN DO ~
		EscapeArea()~ EXIT
END

IF ~~ leaveOgre
  SAY ~Me go eat humans!~
  IF ~~ THEN DO ~
		EscapeArea()~ EXIT
END



IF ~~ leavem
  SAY ~Goodbye!~
  IF ~~ THEN DO ~
		EscapeArea()~ EXIT
END

IF ~~ leavef
  SAY ~Farewell!~
  IF ~~ THEN DO ~
		EscapeArea()~ EXIT
END

IF ~~ fightm
  SAY ~I will defend!~
  IF ~~ THEN DO ~
		Enemy()~ EXIT
END

IF ~~ fightZ
  SAY ~Rrrrrr!~
  IF ~~ THEN DO ~
		Enemy()~ EXIT
END

IF ~~ fightOgre
  SAY ~Me smash you! Bad, bad dog!~
  IF ~~ THEN DO ~
		Enemy()~ EXIT
END

IF ~~ fightf
  SAY ~I will defend!~
  IF ~~ THEN DO ~
		Enemy()~ EXIT
END

IF ~~ byesilent
SAY ~Okay.~
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ byesilentOgre
SAY ~Uhh?!~
  IF ~~ THEN DO ~~ EXIT
END



IF ~~ byesilentZ
SAY ~Aaahhhh!~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ strongholdNo
  SAY ~Wait, you have no stronghold!~
  IF ~!Global("EnteredWaukeen","AR0700",1)~ GOTO TavernChoice1
  IF ~Global("EnteredWaukeen","AR0700",1)~ GOTO TavernChoice2
END
  
IF ~~ TavernChoice1
SAY ~You are joking on me?~
  ++ ~I was joking. Go to the Friendly Arm Inn. We will meet there.~  + goFriendlyArm
  ++ ~I was joking. Go to the Copper Coronet. We will meet there.~  + goCopperCoronet
END

IF ~~ TavernChoice2
SAY ~You are joking on me?~
  ++ ~I was joking. Go to the Friendly Arm Inn. We will meet there.~  + goFriendlyArm
END

IF ~~ strongholdF
  SAY ~Okay, I am going here.~
  IF ~Global("BodhiStronghold","GLOBAL",2)~ GOTO strongholdBodhi
  IF ~!Global("BodhiStronghold","GLOBAL",2)~ GOTO strongholdNo
END

IF ~~ strongholdM
  SAY ~Okay, I am going here.~
  IF ~Global("BodhiStronghold","GLOBAL",2)~ GOTO strongholdBodhi
  IF ~!Global("BodhiStronghold","GLOBAL",2)~ GOTO strongholdNo
END



IF ~~ strongholdBodhi
  SAY ~I will wait for you in crypt. I hope I will not be killed.~
  IF ~~ THEN DO ~
    LeaveParty()
  RunAwayFromNoInterrupt(LastTalkedToBy(Myself),30)
   MoveBetweenAreas("AR0808",[1215.485],N)
   RandomWalk()~ EXIT
END

IF ~~ goFriendlyArm
  SAY ~I will wait for you in Friendly Arm Inn.~
  IF ~~ THEN DO ~
    LeaveParty()
  RunAwayFromNoInterrupt(LastTalkedToBy(Myself),30)
   MoveBetweenAreas("BG2302",[856.558],N)
   RandomWalk()~ EXIT
END

IF ~~ goCopperCoronet
  SAY ~I will wait for you in Copper Coronet.~
  IF ~~ THEN DO ~
  LeaveParty()
  RunAwayFromNoInterrupt(LastTalkedToBy(Myself),30)
   MoveBetweenAreas("AR0406",[535.1143],N)
   RandomWalk()~ EXIT
END

IF ~~ strongholdNoOgre
  SAY ~Me smart! Me knows no castle.~
  IF ~!Global("EnteredWaukeen","AR0700",1)~ GOTO TavernChoice1Ogre
  IF ~Global("EnteredWaukeen","AR0700",1)~ GOTO TavernChoice2Ogre
END
  
IF ~~ TavernChoice1Ogre
SAY ~Me laughs at your joke!~
  ++ ~I was joking. Go to the Friendly Arm Inn. We will meet there.~  + goFriendlyArm
  ++ ~I was joking. Go to the Copper Coronet. We will meet there.~  + goCopperCoronet
END

IF ~~ TavernChoice2Ogre
SAY ~Me laughs at your joke!~
  ++ ~I was joking. Go to the Friendly Arm Inn. We will meet there.~  + goFriendlyArm
END

IF ~~ strongholdOgre
  SAY ~Yes, boss!~
  IF ~Global("BodhiStronghold","GLOBAL",2)~ GOTO strongholdBodhiOgre
  IF ~!Global("BodhiStronghold","GLOBAL",2)~ GOTO strongholdNoOgre
END




IF ~~ strongholdBodhiOgre
  SAY ~Me go!~
  IF ~~ THEN DO ~
    LeaveParty()
  RunAwayFromNoInterrupt(LastTalkedToBy(Myself),30)
   MoveBetweenAreas("AR0808",[1215.485],N)
   RandomWalk()~ EXIT
END

IF ~~ goFriendlyArmOgre
  SAY ~Me go!~
  IF ~~ THEN DO ~
    LeaveParty()
  RunAwayFromNoInterrupt(LastTalkedToBy(Myself),30)
   MoveBetweenAreas("BG2302",[856.558],N)
   RandomWalk()~ EXIT
END

IF ~~ goCopperCoronetOgre
  SAY ~Me go!~
  IF ~~ THEN DO ~
  LeaveParty()
  RunAwayFromNoInterrupt(LastTalkedToBy(Myself),30)
   MoveBetweenAreas("AR0406",[535.1143],N)
   RandomWalk()~ EXIT
END

IF ~~ goStayM
  SAY ~Don't forget to return for me!~
   IF ~~ DO ~LeaveParty()~ EXIT
  END
  
IF ~~ goStayF
  SAY ~Don't forget to return for me!~
   IF ~~ DO ~LeaveParty()~ EXIT
  END
  
  IF ~~ goStayZ
  SAY ~Uuuhhh...~
   IF ~~ DO ~LeaveParty()~ EXIT
  END

  
  IF ~~ goStayOgre
  SAY ~Me wait!~
   IF ~~ DO ~LeaveParty()~ EXIT
  END
  
IF ~~ goOutM
  SAY ~Don't forget to return for me!~
   IF ~~ DO ~LeaveParty()~ EXIT
  END
  
IF ~~ goOutF
  SAY ~Don't forget to return for me!~
   IF ~~ DO ~LeaveParty()~ EXIT
  END

 IF ~~ goOutZ
  SAY ~Uhhhhh!~
   IF ~~ DO ~LeaveParty()~ EXIT
  END 
  
   IF ~~ goOutOgre
  SAY ~Me go eat peasants!~
   IF ~~ DO ~LeaveParty()~ EXIT
  END 
  
IF ~~ suckbloodPlayerPoison
   SAY ~(Immediately you feel burning and pain. The blood of your companion is lethal to vampires.)~
   IF ~~ THEN DO ~ActionOverride(LastTalkedToBy(Myself),Kill(LastTalkedToBy(Myself)))
~ EXIT
END

IF ~~ suckbloodPlayerNoBlood
   SAY ~(Immediately you feel that your companion has no blood for you to drink.)~
   IF ~~ THEN DO ~~ EXIT
END

IF ~~ suckbloodPlayerNoVampireAllowed
   SAY ~(Immediately you feel that your companion cannot became a vampire. You feel sick.)~
   IF ~~ THEN DO ~ChangeStat(LastTalkedToBy(Myself),INTOXICATION,100,ADD)~ EXIT
END

IF ~~ suckbloodPlayerM
  SAY ~(You show your teeth and go on your companion.)~
IF ~
OR(42)
Race(Myself,SKELETON)
Race(Myself,SPIDER)
Race(Myself,CARRIONCRAWLER)
Race(Myself,OTYUGH)
Race(Myself,BEETLE)
Race(Myself,SHADOW)
Race(Myself,SPECTRE)
Race(Myself,ANKHEG)
Race(Myself,WRAITH)
Race(Myself,MIST)
Race(Myself,WRAITH)
Race(Myself,GOLEM)
Race(Myself,ELEMENTAL)
Race(Myself,GENIE)
Race(Myself,STATUE)
Race(Myself,LICH)
Race(Myself,DEMILICH)
Race(Myself,PLANATAR)
Race(Myself,DARKPLANATAR)
Race(Myself,MYCONID)
Race(Myself,FEYR)
Race(Myself,HOOK_HORROR)
Race(Myself,SIMULACRUM)
Race(Myself,SPECTRAL_UNDEAD)
Race(Myself,SHAMBLING_MOUND)
Race(Myself,WILL-O-WISP)
Race(Myself,TREANT)
Race(Myself,SWORD)
Race(Myself,BOW)
Race(Myself,XBOW)
Race(Myself,STAFF)
Race(Myself,SLING)
Race(Myself,MACE)
Race(Myself,DAGGER)
Race(Myself,SPEAR)
Race(Myself,FIST)
Race(Myself,HAMMER)
Race(Myself,MORNINGSTAR)
Race(Myself,ROBES)
Race(Myself,LEATHER)
Race(Myself,CHAIN)
Race(Myself,PLATE)~ THEN DO ~~ GOTO suckbloodPlayerNoBlood
IF  ~
!Race(Myself,SKELETON)
!Race(Myself,SPIDER)
!Race(Myself,CARRIONCRAWLER)
!Race(Myself,OTYUGH)
!Race(Myself,BEETLE)
!Race(Myself,SHADOW)
!Race(Myself,SPECTRE)
!Race(Myself,ANKHEG)
!Race(Myself,WRAITH)
!Race(Myself,MIST)
!Race(Myself,WRAITH)
!Race(Myself,MIMIC)
!Race(Myself,GOLEM)
!Race(Myself,ELEMENTAL)
!Race(Myself,GENIE)
!Race(Myself,STATUE)
!Race(Myself,LICH)
!Race(Myself,DEMILICH)
!Race(Myself,PLANATAR)
!Race(Myself,DARKPLANATAR)
!Race(Myself,MYCONID)
!Race(Myself,FEYR)
!Race(Myself,HOOK_HORROR)
!Race(Myself,SIMULACRUM)
!Race(Myself,SPECTRAL_UNDEAD)
!Race(Myself,SHAMBLING_MOUND)
!Race(Myself,WILL-O-WISP)
!Race(Myself,TREANT)
!Race(Myself,SWORD)
!Race(Myself,BOW)
!Race(Myself,XBOW)
!Race(Myself,STAFF)
!Race(Myself,SLING)
!Race(Myself,MACE)
!Race(Myself,DAGGER)
!Race(Myself,SPEAR)
!Race(Myself,FIST)
!Race(Myself,HAMMER)
!Race(Myself,MORNINGSTAR)
!Race(Myself,ROBES)
!Race(Myself,LEATHER)
!Race(Myself,CHAIN)
!Race(Myself,PLATE)~ THEN DO ~~ GOTO suckbloodPlayerCheck2
END

IF ~~ suckbloodPlayerCheck2
  SAY ~(You quickly bite into neck. You start sucking blood.)~
 IF ~OR(7)
Race(Myself,DEMONIC)
Race(Myself,LYCANTHROPE)
Race(Myself,SOLAR)
Race(Myself,ANTISOLAR)
Race(Myself,SOLAR)
Race(Myself,MEPHIT)
Race(Myself,IMP)~ GOTO suckbloodPlayerPoison
IF ~
!Race(Myself,DEMONIC)
!Race(Myself,LYCANTHROPE)
!Race(Myself,SOLAR)
!Race(Myself,ANTISOLAR)
!Race(Myself,SOLAR)
!Race(Myself,MEPHIT)
!Race(Myself,IMP)
~ GOTO suckbloodPlayerCheck3
END  
  
IF ~~ suckbloodPlayerCheck3
  SAY ~(You feel weak resistance of your sacrifice.)~
IF ~OR(14)
Race(Myself,BASILISK)
Race(Myself,DOPPLEGANGER)
Race(Myself,ETTERCAP)
Race(Myself,GHOUL)
Race(Myself,UMBERHULK)
Race(Myself,SAHUAGIN)
Race(Myself,KUO-TOA)
Race(Myself,ZOMBIE)
Race(Myself,TIEFLING)
Race(Myself,YUANTI)
Race(Myself,LIZARDMAN)
Race(Myself,SALAMANDER)
Race(Myself,REPTILE)
Race(Myself,AASIMAR)
~ GOTO suckbloodPlayerNoVampireAllowed
IF ~
!Race(Myself,BASILISK)
!Race(Myself,DOPPLEGANGER)
!Race(Myself,ETTERCAP)
!Race(Myself,GHOUL)
!Race(Myself,UMBERHULK)
!Race(Myself,SAHUAGIN)
!Race(Myself,KUO-TOA)
!Race(Myself,ZOMBIE)
!Race(Myself,TIEFLING)
!Race(Myself,YUANTI)
!Race(Myself,LIZARDMAN)
!Race(Myself,SALAMANDER)
!Race(Myself,REPTILE)
!Race(Myself,AASIMAR)
~ GOTO suckbloodPlayerVamp
END  
  

  
// talk in party

IF ~!Gender(LastTalkedToBy(Myself),FEMALE)
InParty(Myself)
Race(LastTalkedToBy(Myself),VAMPIRE)
Race(Myself,VAMPIRE)~ THEN BEGIN GreetingManV1
SAY ~My master, do you need something?~ 
 ++ ~Wait for me here. I will return for you.~ + goStayM
  ++ ~Go to my stronghold. We will meet there.~ + strongholdM
 ++ ~You are free to go. I release you.~ + goOutM
 ++ ~Are you hungry? You can drink my blood.~ + suckblood
 ++ ~No, nothing. Just checking.~ + byesilent
  ++ ~I decided to end your life.~ + fightm
END

IF ~Gender(LastTalkedToBy(Myself),FEMALE)
InParty(Myself)
Race(LastTalkedToBy(Myself),VAMPIRE)
Race(Myself,VAMPIRE)~ THEN BEGIN GreetingManV1
SAY ~My mistress, do you need something?~ 
 ++ ~Wait for me here. I will return for you.~ + goStayF
  ++ ~Go to my stronghold. We will meet there.~ + strongholdF
 ++ ~You are free to go. I release you.~ + goOutF
 ++ ~Are you hungry? You can drink my blood.~ + suckblood
 ++ ~No, nothing. Just checking.~ + byesilent
  ++ ~I decided to end your life.~ + fightf
END


//IF ~!Gender(LastTalkedToBy(Myself),FEMALE)
//InParty(Myself)
//Race(LastTalkedToBy(Myself),LYCANTHROPE)
//!Race(Myself,LYCANTHROPE)~ THEN BEGIN GreetingManL11
//SAY ~My master, do you need something?~ 
// ++ ~Wait for me here. I will return for you.~ + goStayM
//  ++ ~Go to my stronghold. We will meet there.~ + strongholdM
// ++ ~You are free to go. I release you.~ + goOutM
// ++ ~I want to bite you and make you a lycanthrope.~ + lycanPlayerM
// ++ ~No, nothing. Just checking.~ + byesilent
//  ++ ~I decided to end your life.~ + fightm
//END

//IF ~Gender(LastTalkedToBy(Myself),FEMALE)
//InParty(Myself)
//Race(LastTalkedToBy(Myself),LYCANTHROPE)
//!Race(Myself,LYCANTHROPE)~ THEN BEGIN GreetingManL11
//SAY ~My mistress, do you need something?~ 
// ++ ~Wait for me here. I will return for you.~ + goStayF
//  ++ ~Go to my stronghold. We will meet there.~ + strongholdF
// ++ ~You are free to go. I release you.~ + goOutF
// ++ ~I want to bite you and make you a lycanthrope.~ + lycanPlayerF
// ++ ~No, nothing. Just checking.~ + byesilent
//  ++ ~I decided to end your life.~ + fightf
//END

IF ~InParty(Myself)
Race(LastTalkedToBy(Myself),VAMPIRE)
Race(Myself,OGRE)~ THEN BEGIN GreetingVManOgre
SAY ~Me task?~ 
 ++ ~Wait for me here. I will return for you.~ + goStayOgre
  ++ ~Go to my stronghold. We will meet there.~ + strongholdOgre
 ++ ~You are free to go. I release you.~ + goOutOgre
 ++ ~I want to suck your blood and make you into vampire.~ + suckbloodPlayerM
 ++ ~No, nothing. Just checking.~ + byesilentOgre
  ++ ~I decided to end your life.~ + fightOgre
END

IF ~InParty(Myself)
Race(Myself,OGRE)~ THEN BEGIN GreetingManOgre
SAY ~Me task?~ 
 ++ ~Wait for me here. I will return for you.~ + goStayOgre
  ++ ~Go to my stronghold. We will meet there.~ + strongholdOgre
 ++ ~You are free to go. I release you.~ + goOutOgre
 ++ ~No, nothing. Just checking.~ + byesilentOgre
  ++ ~I decided to end your life.~ + fightOgre
END


IF ~!Gender(LastTalkedToBy(Myself),FEMALE)
InParty(Myself)
Race(LastTalkedToBy(Myself),VAMPIRE)
!Race(Myself,VAMPIRE)~ THEN BEGIN GreetingManV11
SAY ~My master, do you need something?~ 
 ++ ~Wait for me here. I will return for you.~ + goStayM
  ++ ~Go to my stronghold. We will meet there.~ + strongholdM
 ++ ~You are free to go. I release you.~ + goOutM
 ++ ~I want to suck your blood and make you into vampire.~ + suckbloodPlayerM
 ++ ~No, nothing. Just checking.~ + byesilent
  ++ ~I decided to end your life.~ + fightm
END

IF ~InParty(Myself)
Race(Myself,ZOMBIE)~ THEN BEGIN GreetingManZ
SAY ~Uuurrgh?~ 
 ++ ~Wait for me here. I will return for you.~ + goStayZ
 ++ ~You are free to go. I release you.~ + goOutZ
 ++ ~No, nothing. Just checking.~ + byesilentZ
  ++ ~I decided to end your life.~ + fightZ
END


IF ~Gender(LastTalkedToBy(Myself),FEMALE)
InParty(Myself)
Race(LastTalkedToBy(Myself),VAMPIRE)
!Race(Myself,VAMPIRE)~ THEN BEGIN GreetingManV11
SAY ~My mistress, do you need something?~ 
 ++ ~Wait for me here. I will return for you.~ + goStayF
  ++ ~Go to my stronghold. We will meet there.~ + strongholdF
 ++ ~You are free to go. I release you.~ + goOutF
 ++ ~I want to suck your blood and make you into vampire.~ + suckbloodPlayerM
 ++ ~No, nothing. Just checking.~ + byesilent
  ++ ~I decided to end your life.~ + fightf
END


IF ~!Gender(LastTalkedToBy(Myself),FEMALE)
InParty(Myself)
!Race(LastTalkedToBy(Myself),VAMPIRE)
!Race(Myself,VAMPIRE)~ THEN BEGIN GreetingManV12
SAY ~<CHARNAME>, do you need something?~ 
 ++ ~Wait for me here. I will return for you.~ + goStayM
  ++ ~Go to my stronghold. We will meet there.~ + strongholdM
 ++ ~You are free to go. I release you.~ + goOutM
 ++ ~No, nothing. Just checking.~ + byesilent
  ++ ~I decided to end your life.~ + fightm
END

IF ~Gender(LastTalkedToBy(Myself),FEMALE)
InParty(Myself)
!Race(LastTalkedToBy(Myself),VAMPIRE)
!Race(Myself,VAMPIRE)~ THEN BEGIN GreetingManV12
SAY ~<CHARNAME>, do you need something?~ 
 ++ ~Wait for me here. I will return for you.~ + goStayF
  ++ ~Go to my stronghold. We will meet there.~ + strongholdF
 ++ ~You are free to go. I release you.~ + goOutF
 ++ ~No, nothing. Just checking.~ + byesilent
  ++ ~I decided to end your life.~ + fightf
END






IF ~!Gender(LastTalkedToBy(Myself),FEMALE)
InParty(Myself)
!Race(LastTalkedToBy(Myself),VAMPIRE)
Race(Myself,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~<CHARNAME>, do you need something?~ 
 ++ ~Are you hungry? You can drink my blood, Guard.~ + suckblood
 ++ ~Make me a vampire.~ + vampconvm
  ++ ~Wait for me here. I will return for you.~ + goStayM
   ++ ~Go to my stronghold. We will meet there.~ + strongholdM
 ++ ~You are free to go. I release you.~ + goOutM
 ++ ~No, nothing, sorry, Guard.~ + byesilent
   ++ ~I decided to end your life.~ + fightm
END

IF ~Gender(LastTalkedToBy(Myself),FEMALE)
InParty(Myself)
!Race(LastTalkedToBy(Myself),VAMPIRE)
Race(Myself,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~<CHARNAME>, do you need something?~ 
 ++ ~Are you hungry? You can drink my blood.~ + suckblood
 ++ ~Make me a vampire.~ + vampconvf 
  ++ ~Wait for me here. I will return for you.~ + goStayF
   ++ ~Go to my stronghold. We will meet there.~ + strongholdF
 ++ ~You are free to go. I release you.~ + goOutF
 ++ ~No, nothing, nevermind.~ + byesilent
   ++ ~I decided to end your life.~ + fightm
END






IF ~~ suckblood
  SAY ~You are so generous.~
  IF ~~ THEN GOTO suckblood2
END

IF ~~ suckblood2
  SAY ~Definitely not bad!~
  IF ~~ THEN DO ~ApplyDamagePercent(LastTalkedToBy(Myself),20,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
		ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END

IF ~~ vampconvm
  SAY ~(Your companion gets closer.)~
IF ~~ GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Vampire's teeth go out and bite you in neck.)~
IF ~~ GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel that your blood flows into another.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished.)~

  IF ~~ THEN DO ~
  ActionOverride(LastTalkedToBy(Myself),SetGlobal("ActorVampirisedLevel","LOCALS",1))
  
  
		ChangeStat(LastTalkedToBy(Myself),CON,2,ADD)
		ChangeStat(LastTalkedToBy(Myself),STR,4,ADD)
		ChangeStat(LastTalkedToBy(Myself),WIS,-2,ADD)
		ChangeStat(LastTalkedToBy(Myself),INT,-2,ADD)
	
	ActionOverride(LastTalkedToBy(Myself),SetGlobal("VampireAbilities","LOCALS",0))		

	~ EXIT
END

IF ~~ suckbloodPlayerVamp
  SAY ~(Your companion is now undead, as you wished.)~

  IF ~~ THEN DO ~
  CreateVisualEffectObject("SPDISPMA",Myself)
SetGlobal("ActorVampirisedLevel","LOCALS",1)
		ActionOverride(Myself,SetGlobal("VampireAbilities","LOCALS",0))		

	~ EXIT
END	
	
	
IF ~~	lycanPlayerM
  SAY ~(You attack your companion, tear closes, make wounds and bite flesh by your claws.)~
  IF ~~ THEN DO ~SetGlobalTimer("LycanthropeForm","LOCALS",FOUR_HOURS)
ChangeRace(LastTalkedToBy(Myself),LYCANTHROPE)
ActionOverride(LastTalkedToBy(Myself),AddSpecialAbility("SPCL643"))
ActionOverride(LastTalkedToBy(Myself),AddSpecialAbility("SPINHUM"))
ActionOverride(LastTalkedToBy(Myself),AddSpecialAbility("SPCL643"))
ActionOverride(LastTalkedToBy(Myself),AddSpecialAbility("SPINHUM"))
ActionOverride(LastTalkedToBy(Myself),AddSpecialAbility("SPCL643"))
ActionOverride(LastTalkedToBy(Myself),AddSpecialAbility("SPINHUM"))
ActionOverride(LastTalkedToBy(Myself),AddSpecialAbility("SPCL643"))
ActionOverride(LastTalkedToBy(Myself),AddSpecialAbility("SPINHUM"))
ActionOverride(LastTalkedToBy(Myself),SetGlobal("MyRaceBlood","LOCALS",2))
~ EXIT
END 

